[Plugin] YaRSS2 - RSS plugin with GTKUI support

Suggest, post, or discuss plugins for Deluge
Bobby
Member
Member
Posts: 43
Joined: Wed Aug 05, 2020 7:37 pm

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Post by Bobby »

What is the latest version of this plugin there is working with @mhertz deluge dev51 rls ?
mhertz
Moderator
Moderator
Posts: 1190
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Post by mhertz »

Hi Bobby, the latest version should work(2.1.15). If having ssl issues as some do, nothing related to my build though, then i've posted builds previously in thread not that long ago, to workaround, by disabling ssl verification of feeds. (Edit: If needed then here: https://paste.c-net.org/FundsHelped - rename to match if needed - I made two dev51, one little older for win10 and one newer for win7, and cannot remember but guessing the win10 is py3.9 and the win7 definitelly is py3.8)

BTW, sorry off-topic, but your old question in petersasi's deluge2 thread, then yes common issue, but I posted link with instructions to fix, a page prior, when asked something else:

[...]

While posting here:

[...]

@all, for reporters of issues in Peters last build, I.e missing icons, startup issues(in portable mode) and older libtorrent's fail run, I've previously posted fixes for that here: viewtopic.php?f=9&t=39551&start=700#p233322

[...]
Just in case still wondered :)
Bobby
Member
Member
Posts: 43
Joined: Wed Aug 05, 2020 7:37 pm

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Post by Bobby »

Thanks mate :)
mhertz
Moderator
Moderator
Posts: 1190
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Post by mhertz »

You're very much welcome mate :) Though i'm sorry but am just actually in progress of checking/making sure in my windows VM, and actually went here to edit my reply to you about unfortunetly finding an issue, i.e. stating not a valid xml document, when adding a feed and trying run it, which wasen't like that on my linux system, which I then also tested now.

I'll try to pinpoint the issue if I can and reply back, hopefully with a fix, but not sure if have time this evening, so might be first tomorrow I reply back with my findings.

Sorry for inconvenience.

Edit: Lol feel like an idiot now :) Somehow my dns settings in the windows VM where reverted back to automatic and hence my ISP had blocked the two rss feeds I tested with, so came with a warning about legal issues instead of xml rss feed and hence the not valid xml message. I tested my win7 and win10 deluge2 versions and 3 versions back of yarss2 in both, damn :lol: Last, I wanted to doublecheck that it wasen't something with the feeds I had choosen and/or windows, and so tested in deluge 1.3.x and yarss2 1.4.3, and there finally I was greeted with that stupid blocked message, for some reason not showing on deluge2, but was happy to finally learn what was about, and saved me more troubleshooting time, e.g. as already also had downloaded and was about to test petersasi's versions next to compare. I didn't either get it, because knew I had tested it recently before, so beginning to think I had lost my mind, or gotten senile prematurelly or something lol. Anyway, sorry for the noise.
Bobby
Member
Member
Posts: 43
Joined: Wed Aug 05, 2020 7:37 pm

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Post by Bobby »

I am sorry to jump in again, what is the latest version for deluge 1.3.15 ? I am currently trying to make a boundle setup with all the latest updates for deluge 1.3.15 so i would ofcouse like to include latest version of this plugin too.
mhertz
Moderator
Moderator
Posts: 1190
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Post by mhertz »

No prob, it's v1.4.3, and if getting SSL errors which some do, then I previously made a non-ssl version of it as workaround, but not needed unless actually getting errors: https://paste.c-net.org/EroticLikeness
Bobby
Member
Member
Posts: 43
Joined: Wed Aug 05, 2020 7:37 pm

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Post by Bobby »

We are so lucky to have you around to make these patches :)
mhertz
Moderator
Moderator
Posts: 1190
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Post by mhertz »

Thanks for the kind words mate, you're way too kind, but I appreciate it alot nonetheless :)
ryanoc3ros
New User
New User
Posts: 2
Joined: Sat Jun 12, 2021 1:44 am

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Post by ryanoc3ros »

I am running Deluge server version: 2.0.4.dev56 in a docker on unraid.
I have installed the latest YaRSS2 egg, YaRSS2-2.1.5-py3.9

When checking my RSS feeds, I get the following errors in my logs:

Code: Select all

(2021-06-11T21:37:24): An exception was thrown by the RSS update handler. Please report this bug!
Traceback (most recent call last):
  File "/usr/lib/python3.9/urllib/request.py", line 1346, in do_open
    h.request(req.get_method(), req.selector, req.data, headers,
  File "/usr/lib/python3.9/http/client.py", line 1253, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1299, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1248, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1008, in _send_output
    self.send(msg)
  File "/usr/lib/python3.9/http/client.py", line 948, in send
    self.connect()
  File "/usr/lib/python3.9/http/client.py", line 919, in connect
    self.sock = self._create_connection(
  File "/usr/lib/python3.9/socket.py", line 843, in create_connection
    raise err
  File "/usr/lib/python3.9/socket.py", line 831, in create_connection
    sock.connect(sa)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/config/plugins/YaRSS2-2.1.5-py3.9.egg/yarss2/rssfeed_handling.py", line 185, in get_rssfeed_parsed
    parsed_feed = fetch_and_parse_rssfeed(rssfeed_data["url"], user_agent=user_agent,
  File "/config/plugins/YaRSS2-2.1.5-py3.9.egg/yarss2/rssfeed_handling.py", line 104, in fetch_and_parse_rssfeed_atom
    result = http.download_file(url_file_stream_or_string, site_cookies_dict=site_cookies_dict,
  File "/config/plugins/YaRSS2-2.1.5-py3.9.egg/yarss2/util/http.py", line 48, in download_file
    data = feedparsing._open_resource(url_file_stream_or_string, etag, modified, user_agent, referrer,
  File "/config/plugins/YaRSS2-2.1.5-py3.9.egg/yarss2/util/feedparsing/api.py", line 110, in _open_resource
    return http.get(url_file_stream_or_string, etag, modified, agent, referrer, handlers, request_headers, result, timeout=timeout)
  File "/config/plugins/YaRSS2-2.1.5-py3.9.egg/yarss2/util/feedparsing/http.py", line 186, in get
    f = opener.open(request, timeout=timeout)
  File "/usr/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/usr/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/usr/lib/python3.9/urllib/request.py", line 1375, in http_open
    return self.do_open(http.client.HTTPConnection, req)
  File "/usr/lib/python3.9/urllib/request.py", line 1349, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error timed out>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/config/plugins/YaRSS2-2.1.5-py3.9.egg/yarss2/rssfeed_scheduler.py", line 90, in rssfeed_update_handler_safe
    return self.rssfeed_update_handler(rssfeed_key=rssfeed_key, subscription_key=subscription_key)
  File "/config/plugins/YaRSS2-2.1.5-py3.9.egg/yarss2/rssfeed_scheduler.py", line 107, in rssfeed_update_handler
    fetch_result = self.rssfeedhandler.fetch_feed_torrents(self.yarss_config.get_config(), rssfeed_key,
  File "/config/plugins/YaRSS2-2.1.5-py3.9.egg/yarss2/rssfeed_handling.py", line 373, in fetch_feed_torrents
    self.fetch_feed(subscription_data, rssfeed_data, fetch_data)
  File "/config/plugins/YaRSS2-2.1.5-py3.9.egg/yarss2/rssfeed_handling.py", line 412, in fetch_feed
    rssfeed_parsed = self.get_rssfeed_parsed(rssfeed_data, site_cookies_dict=fetch_data["site_cookies_dict"],
  File "/config/plugins/YaRSS2-2.1.5-py3.9.egg/yarss2/rssfeed_handling.py", line 192, in get_rssfeed_parsed
    raise DelugeError("Exception occured in feedparser: " + str(e))
deluge.error.DelugeError: Exception occured in feedparser: <urlopen error timed out>
I've tried reverting back to older versions of Deluge, and tried many different YaRSS2 eggs, including the one that disabled SSL that was previously offered, but every situation results in the same error. Does anyone have any insight on what I could be missing?
mhertz
Moderator
Moderator
Posts: 1190
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Post by mhertz »

I just checked with that unraid binhex docker and yarss2 2.1.5 and it worked here in quick test. If you enter the docker image's shell through 'sudo docker exec -it deluge /bin/bash' and run 'curl -v <feedurl>' does it then go through or also error out?

You could also check if webaccess is hindered from python somehow, through e.g. in same shell as above running 'python config/test.py' and where you have previously saved a 'test.py' python script in your deluge config dir e.g. '~/deluge/config' or whereever:

Code: Select all

from urllib.request import urlopen
with urlopen("https://google.com") as response: print(response.read())
(If shows alot of crap then works :) Otherwise states error or output nothing)

Granted the plugin's python code fails in http.client or socket or something, which I don't really know about, or have looked into honestly, but nonetheless.

Btw, looked the error up quickly and the places where resolved in one or two places I checked, I believe was related to firewall rules or proxy setup etc, though didn't spend much time on it honestly.

Edit: I did a search again, this time omiting the 3.9 python string, as negates alot good results i'd imagine, and so found github issue of other project where this issue happened for several and where upping timeout helped, and then also remembered gderf here mentioned this previously and so found his post stating he fixed one problematic feed by upping timeout from 10 to 60 secs in rssfeed_handling.py, so I added the fix from gderf which you can try if wanted also, all credit gderf, thanks mate.

YaRSS2-2.1.5-py3.9.egg

Btw, quick test of http.client in docker shell, instead of previously posted urllib.request.urlopen:

Code: Select all

import http.client
a = http.client.HTTPSConnection("www.google.com")
a.request("GET", "/")
b = a.getresponse()
print(b.read())
Socket alone for full reference:

Code: Select all

import socket
sock = socket.create_connection(("www.google.com",80))
print(sock)
(Just 1 or 2 lines output of socket info here, and so works if not errors out specifically e.g. with timeout-error)
Post Reply